#!/bin/bash

fonc1 ()
{
echo Ceci est une fonction.
}

declare -f        # Liste la fonction ci-dessus.

echo

declare -i var1   # var1 est un entier.
var1=2367
echo "var1 déclaré comme $var1"
var1=var1+1       # La déclaration d'un entier élimine le besoin d'utiliser let.
echo "var1 incrémenté par 1 vaut $var1."
# Essai de modification de la variable déclarée comme entier.
echo "Essai de modification de var1 en une valeur flottante, 2367.1."
var1=2367.1       # Résultat: un message d'erreur, et une variable non modifiée.
echo "var1 vaut toujours $var1"

echo

declare -r var2=13.36           #  'declare' permet de configurer une variable
                                #+ proprement et de lui affecter une valeur.
echo "var2 déclaré comme $var2" #  Essai de modification d'une valeur en lecture
                                #+ seule.
var2=13.37                      # Génère un message d'erreur, et sort du script.

echo "var2 vaut toujours $var2" # Cette ligne ne s'exécutera pas.

exit 0                          # Le script ne terminera pas ici.
